summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2013-02-24 21:08:31 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2013-02-24 21:08:31 +0000
commit3d17aa89a092c1a9cb9e590c6a09427955d53ee0 (patch)
tree4d9f1f24cf388a82af529cae73fa3106c3fe7616 /testing
parent0e0c0c20842bd174bccc5c6039fdf239df566ab7 (diff)
downloadaports-3d17aa89a092c1a9cb9e590c6a09427955d53ee0.tar.bz2
aports-3d17aa89a092c1a9cb9e590c6a09427955d53ee0.tar.xz
testing/perl-mailtools: new aport
Diffstat (limited to 'testing')
-rw-r--r--testing/perl-mailtools/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/perl-mailtools/APKBUILD b/testing/perl-mailtools/APKBUILD
new file mode 100644
index 000000000..ec82873b4
--- /dev/null
+++ b/testing/perl-mailtools/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-mailtools
+_pkgreal=MailTools
+pkgver=2.12
+pkgrel=0
+pkgdesc="Various e-mail related modules"
+url="http://search.cpan.org/dist/MailTools/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-timedate"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MA/MARKOV/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="b233a5723a0f5680d8ddd4dfdcb14c14 MailTools-2.12.tar.gz"
+sha256sums="51ad50f324a1d11df21c430ced74b2077c2cf5e2c27f263a181cbd9a5d964737 MailTools-2.12.tar.gz"
+sha512sums="d486ac2f180dab1d834c99567796355a4b3d78d9a93e30526b894c5b4e5136421186438b60d7139ea5701304499bd0236e230b99888644b23e0b7390d0e22ac1 MailTools-2.12.tar.gz"